<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://wpiron.com
 * @since             1.0.0
 * @package           iron-security
 *
 * @wordpress-plugin
 * Plugin Name:       Iron Security – WordPress Security Plugin
 * Plugin URI:        https://wpiron.com
 * Description:       Secure your WordPress site with Iron Security — a lightweight plugin and hardening tool that blocks hackers.
 * Version:           2.5.3
 * Author:            wpiron
 * Author URI:        https://wpiron.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       iron-security
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'IRON_SECURITY_VERSION', '2.5.3' );
define( 'IRON_SECURITY_FILE', __FILE__ );
define( 'IRON_SECURITY_PATH', plugin_dir_path( __FILE__ ) );
define( 'IRON_SECURITY_URL', plugin_dir_url( __FILE__ ) );

/**
 * Plugin activation function
 * 
 * Runs when the plugin is activated
 */
function wpiisec_activate_iron_security() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-iron-security-activator.php';
	iron_securi_Activator::activate();
}

/**
 * Plugin deactivation function
 * 
 * Runs when the plugin is deactivated
 */
function wpiron_iron_security_Deactivator() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-iron-security-deactivator.php';
	iron_security_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'wpiisec_activate_iron_security' );
register_deactivation_hook( __FILE__, 'wpiron_iron_security_Deactivator' );

require plugin_dir_path( __FILE__ ) . 'includes/class-iron-security.php';

/**
 * Main plugin initialization function
 * 
 * Begins execution of the plugin
 */
function wpiisec_run_iron_security() {
	$plugin = new iron_security();
	$plugin->run();
	
	return $plugin;
}
$GLOBALS['iron_security'] = wpiisec_run_iron_security();
